Bug 101254 - X server hangs while running screen saver
X server hangs while running screen saver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 10:14 EDT by Sean Sheedy
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Sheedy 2003-07-30 10:14:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030530

Description of problem:
While running the screen saver in random mode overnight, the X server locked up
(apparently in a tight loop), becoming unresponsive and consuming all available
CPU time.

I logged in from the network and was able to retrieve the following stack trace
with gdb:

#0  0x420dc404 in ioctl () from /lib/i686/libc.so.6
#1  0x0000000d in ?? ()
#2  0x08365b55 in ?? ()
#3  0x084ec585 in ?? ()
#4  0x084ec76b in ?? ()
#5  0x084eb45b in ?? ()
#6  0x0858de40 in ?? ()
#7  0x0858f0cd in ?? ()
#8  0x0858f540 in ?? ()
#9  0x085901ac in ?? ()
#10 0x0815b907 in miPolySegment ()
#11 0x0818691c in miSpritePolySegment ()
#12 0x080b8bcc in ProcPolySegment ()
#13 0x080b5e27 in Dispatch ()
#14 0x080c861d in main ()
#15 0x420158f7 in __libc_start_main () from /lib/i686/libc.so.6

This same crash has occurred on other occasions at random intervals.

Version-Release number of selected component (if applicable):
XFree86-4.2.1-21

How reproducible:
Sometimes

Steps to Reproduce:
1.Run screen saver in random mode
2.
3.
    

Actual Results:  Eventually, the X server hangs.

Additional info:
Comment 1 Mike A. Harris 2004-10-01 02:05:45 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.